# $Revision: 1.8 $, $Date: 2011/09/01 12:11:59 $
Summary:	DLNA library
Summary(pl.UTF-8):	Biblioteka DLNA
Name:		libdlna
Version:	0.2.3
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://libdlna.geexbox.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	2c974f95b711e5fd07f78fc4ebfcca66
Patch0:		%{name}-ffmpeg_paths.patch
Patch1:		%{name}-ffmpeg.patch
URL:		http://libdlna.geexbox.org
BuildRequires:	ffmpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdlna aims at being the reference open-source implementation of DLNA
(Digital Living Network Alliance) standards.

%package devel
Summary:	Header files for libdlna library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdlna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdlna library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdlna.

%package static
Summary:	Static libdlna library
Summary(pl.UTF-8):	Statyczna biblioteka libdlna
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdlna library.

%description static -l pl.UTF-8
Statyczna biblioteka libdlna.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -fpic -Isrc"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libdlna.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdlna.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdlna.so
%{_includedir}/dlna.h
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdlna.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdlna.spec,v $
Revision 1.8  2011/09/01 12:11:59  arekm
- rel 2; fix build with latest ffmpeg

Revision 1.7  2010/07/12 15:40:15  glen
- verbose files, unify configure
- pass CC/CFLAGS in a way it actually is not overwritten by Makefile

Revision 1.6  2010/06/24 20:17:47  cactus
- more simple libdir (thx Leczar Pawel)

Revision 1.5  2010/06/24 20:11:55  cactus
- rel 1; ghost symlink, add .pc file

Revision 1.4  2010/06/24 20:03:36  cactus
- pass libdir to configure - install in lib64 support

Revision 1.3  2010/06/24 19:20:34  cactus
- use -j1 and pass CFLAGS by env for clean build

Revision 1.2  2008/12/19 08:53:33  grzegorz
- static package added

Revision 1.1  2008/12/18 13:47:58  grzegorz
- initial spec
